@import "assets/scss/global";
.choosen-wrapper{
    padding: 14px;
    height: 100%;
    width: 100%;
    .layout-wrapper{
        background: #fff;
        border-radius: 20px;
        height: 100%;
        width: 100%;
        display: flex;
        flex-direction: column;
        .layout-content{
            flex: 1;
            padding: 25px 25px 10px;
            display: flex;
            flex-direction: column;
            gap: 15px;
            height: calc(100% - 82px);

            .header-back {
                display: flex;
                flex-direction: row;
                gap: 5px;
                justify-content: flex-start;
                align-items: center;
                cursor: pointer;
                height: 24px;
                width: fit-content;
        
                .icon-back {
                    height: 100%;
                    display: flex;
                    justify-content: center;
                    align-items: center;
        
                    svg {
                        rotate: 180deg;
                        height: 20px;
                        width: auto;
                        path{
                            fill: #8E91A0;
                        }
                    }
                }
        
                .text-back {
                    font-weight: 500;
                    font-size: 16px;
                    line-height: 24px;
                    color: #8E91A0;
                }
            }
            .box-action-btn{
                display: flex;
                flex-direction: row;
                justify-content: space-between;
                align-items: center;

                .box-filter-action{
                    display: flex;
                    flex-direction: row;
                    gap: 15px;
                    align-items: center;

                    .a-input-with-label{
                        min-width: 330px;

                        [class*='input-content']{
                            height: 48px;
                        }
                    }
                    .a-button-reset{
                        width: 150px;
                        height: 40px;
                        box-shadow: none;
                        gap: 14px;
                        cursor: pointer;
                        border: 1px solid $secondary-color;
                        color: $secondary-color;
                        background: #FFF;
                        svg{
                            path{
                                fill: $secondary-color;
                            }
                        }
                        &.disable{
                            border: 1px solid $border-color;
                            background: $secondary-color3;
                            color: $border-color;
                            cursor: not-allowed;
                            svg {
                                    path {
                                        fill: $border-color;
                                    }
                                }
                        }
                    }
                }
            }

            .box-action-student{
                position: relative;
                display: flex;
                flex-direction: row;
                justify-content: space-evenly;
                gap: 20px;
                align-items: flex-start;
                height: calc(100% - 24px - 50px - 30px);

                .left {
                    width: 100%;
                    height: 100%;
                    position: relative;

                    .loading{
                        position: absolute;
                        width: 100%;
                        height: 65px;
                        bottom: 0;
                    }
                }

                .table-data{
                    display: flex;
                    flex-direction: column;
                    width: 30em;
                    min-width: 23em;
                    height: 100%;
                    .table-header{
                        display: flex;
                        flex-direction: row;
                        align-items: center;
                        gap: 34px;
                        padding: 10px;
                        background: #F9E5D7;
                        border-radius: 16px 16px 0px 0px;
                        .action{
                            width: 70px;
                            display: flex;
                            flex-direction: row;
                            justify-content: flex-end;
                            gap: 10px;
                        }
                        .lable{
                            span{
                                font-weight: 600;
                                font-size: 13px;
                                line-height: 20px;
                                color: #8B5252;
                            }
                        }
                    }

                    .table-body{
                        height: calc(100% - 40px);
                        overflow: auto;
                        .table-row{
                            display: flex;
                            align-items: center;
                            flex-direction: row;
                            gap: 34px;
                            padding: 10px;
                            background: #FFF;

                            &:nth-child(2n){
                                background: #F7F8FC;
                            }
                            .action {
                                width: 70px;
                                display: flex;
                                flex-direction: row;
                                justify-content: flex-end;
                                align-items: center;
                                gap: 10px;
    
                                svg{
                                    cursor: pointer;
                                }
                            }
                            .lable {
                                display: flex;
                                flex-direction: column;
                                gap: 5px;
                                span {
                                    font-weight: 600;
                                    font-size: 13px;
                                    line-height: 20px;
                                    
                                }
                            }
                        }
                    }
                }

                .box-action-btn{
                    display: flex;
                    flex-direction: column;
                    gap: 15px;

                    
                    button{
                        cursor: pointer;
                        gap: 5px;
                        width: 135px;
                        font-weight: 400;
                        font-size: 14px;
                        line-height: 22px;

                        svg{
                            padding: 0;
                            margin: 0;
                            path{
                                fill: #FFF;
                            }
                        }
                    }
                    button.btn-selected{
                        background: #21C274;
                        box-shadow: none;
                        svg{
                            rotate: 180deg;
                        }

                        &:hover:not(.disable) {
                            background: #21C274;
                        }
                    }

                    button.btn-unselected{
                        svg{
                            padding: 0;
                            margin: 0;
                            path {
                                fill: #FFF;
                            }
                        }
                    }

                    button.disable{
                        background: #F5F5F5;
                        color: rgba(0, 0, 0, 0.25);
                        box-shadow: none;
                        cursor: default;
                        svg{
                            path{
                                fill: rgba(0, 0, 0, 0.25);
                            }
                        }
                    }
                }
            }
        }
        .layout-footer{
            height: 82px;
            display: flex;
            flex-direction: row;
            gap: 15px;
            justify-content: center;
            align-items: center;
            box-shadow: 0px -4px 54px rgba(0, 0, 0, 0.1);
            border-radius: 0px 0px 20px 20px;
            button{
                min-width: 130px;
                height: 40px;
                border-radius: 40px;
                font-weight: 600;
                font-size: 16px;
                line-height: 24px;

                &.cancel{
                    border: 1px solid #8E91A0;

                    --rs-btn-default-text: #8E91A0;
                    --rs-btn-default-hover-text: #8E91A0;
                    --rs-btn-default-active-text: #8E91A0;

                    --rs-btn-default-bg: #FFF;
                    --rs-btn-default-hover-bg: #FFF;
                    --rs-btn-default-active-bg: #FFF;

                    box-shadow: none;
                }

                &.btn-submit{
                    --rs-btn-default-text: #FFFFFF;
                    --rs-btn-default-hover-text: #FFFFFF;
                    --rs-btn-default-active-text: #FFFFFF;

                    --rs-btn-default-bg: #EF4E2B;
                    --rs-btn-default-hover-bg: #EF4E2B;
                    --rs-btn-default-active-bg: #EF4E2B;
                }
            }
        }
    }
}
.popoverWrapper{
    border-radius: 12px;
}